For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
            • POSTGet Storefront authToken with Credentials
            • POSTGet B2B Storefront Token
            • GETGet Storefront API authToken
            • POSTGet Server to Server Token
            • DELDelete Backend API Tokens
            • GETList Server to Server Tokens
          • Channels
          • Company
          • Invoice Management
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementAuthentication

List Server to Server Tokens

Deprecated
GET
https://api-b2b.bigcommerce.com/api/io/backend/tokens
GET
/api/io/backend/tokens
$curl -G https://api-b2b.bigcommerce.com/api/io/backend/tokens \
> -H "authToken: <apiKey>" \
> -d limit=10 \
> -d offset=10
200Retrieved
1{
2 "code": 200,
3 "data": [
4 {
5 "id": 123,
6 "name": "customer storefront token",
7 "email": "user@example.com",
8 "storeHash": "1234abcd",
9 "token": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJlbWFpbCI6InRlc3RfYjJjX29yZGVyX2ltcG9ydEBxcS5jb21tIiwic3RvcmVfaGFzaCI6ImYyb3N4ampueGoiLCJkYiI6ImRlZmF1bHQifQ.L_u_enljWoYBbPPskmYEQVHldHIaTcWMIB-SdFah850",
10 "eventChannel": "app"
11 }
12 ],
13 "meta": {
14 "message": "SUCCESS",
15 "pagination": {
16 "totalCount": 25,
17 "offset": 0,
18 "limit": 10
19 }
20 }
21}

NOTE

This endpoint only retrieves authToken and not X-Auth-Token information.

Retrieves all B2B S2S API tokens associated with your store. You can use the token’s ID in the response to delete it via the Delete Backend API Tokens endpoint, or you can recover existing token values for further Server to Server requests.

Was this page helpful?
Previous

Delete Backend API Tokens

Next

Channels

Built with

Authentication

authTokenstring

Required to authenticate requests. Include the token in a header parameter called authToken.

Query parameters

limitintegerOptional1-250Defaults to 10
The maximum number of results that can be in the response.
offsetintegerOptional>=0Defaults to 0
The number of results that should be skipped in the response.

Response

OK
codeintegerDefaults to 200
The HTTP Status code of the response.
datalist of objects
metaobject